> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Master-Passwort erstellen

> Create a master password under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json POST /v1/public/accounts/{account_id}/credentials
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials:
    post:
      tags:
        - public-accounts
        - public-credentials
      summary: Master-Passwort erstellen
      description: Create a master password under the path account.
      operationId: >-
        create_public_credential_v1_public_accounts__account_id__credentials_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountCredentialCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialCreateResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountCredentialCreateRequest:
      additionalProperties: false
      description: Anfrage zum Erstellen eines Master-Passworts im Bereich des Kontopfads.
      properties:
        domain:
          anyOf:
            - type: string
            - type: 'null'
          description: Domain-UUID oder Domainname als Scope fuer das Master-Passwort
          title: Domain
        generate:
          default: false
          description: Ein Master-Passwort-Secret generieren, anstatt eines anzugeben
          title: Erzeugen
          type: boolean
        name:
          description: Anzeigename des Master-Passworts
          maxLength: 100
          minLength: 1
          title: Name
          type: string
        value:
          anyOf:
            - maxLength: 256
              minLength: 4
              type: string
            - type: 'null'
          description: Secret-Wert des Master-Passworts, wenn er nicht generiert wird
          title: Wert
        workspace_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Workspace-UUID-Bereich für das Master-Passwort
          title: Arbeitsbereichs-ID
      required:
        - name
      title: AccountCredentialCreateRequest
      type: object
    CredentialCreateResponse:
      properties:
        created_at:
          description: Erstellungszeitstempel des Master-Passworts
          title: Erstellt At
          type: string
        generated_secret:
          anyOf:
            - type: string
            - type: 'null'
          description: Einmalig generiertes Master-Passwort-Secret, falls angefordert
          title: Generiertes Geheimnis
        id:
          description: Master-Passwort-UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Anzeigename des Master-Passworts
          title: Name
          type: string
        scope_id:
          description: Ressourcen-UUID für den Bereich des Master-Passworts
          format: uuid
          title: Bereichs-ID
          type: string
        scope_type:
          description: Ressourcenbereichstyp, in dem das Master-Passwort gilt
          enum:
            - account
            - workspace
            - domain
          title: Scope Typ
          type: string
        updated_at:
          description: Zeitstempel der letzten Aktualisierung des Master-Passworts
          title: Aktualisiert am
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialCreateResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````